org.apache.cassandra.index.sasi.utils.trie

## Enum Cursor.Decision

- java.lang.Object
- - java.lang.Enum<Cursor.Decision>
  - - org.apache.cassandra.index.sasi.utils.trie.Cursor.Decision

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Cursor.Decision>

Enclosing interface:
  Cursor<K,V>

    public static enum Cursor.Decision
    extends java.lang.Enum<Cursor.Decision>

The `Cursor.Decision` tells the `Cursor` what to do on each step while traversing the `Trie`. NOTE: Not all operations that work with a `Cursor` support all `Cursor.Decision` types

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONTINUE` Continue with the traverse operation
`EXIT` Exit the traverse operation
`REMOVE` Remove the previously returned element from the `Trie` and continue
`REMOVE_AND_EXIT` Remove the previously returned element from the `Trie` and exit from the traverse operation

### Method Summary

All Methods Static Methods Concrete Methods
`static Cursor.Decision` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Cursor.Decision[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### EXIT

    public static final Cursor.Decision EXIT

Exit the traverse operation

#### CONTINUE

    public static final Cursor.Decision CONTINUE

Continue with the traverse operation

#### REMOVE

    public static final Cursor.Decision REMOVE

Remove the previously returned element from the `Trie` and continue

#### REMOVE_AND_EXIT

    public static final Cursor.Decision REMOVE_AND_EXIT

Remove the previously returned element from the `Trie` and exit from the traverse operation

### Method Detail

#### values

    public static Cursor.Decision[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Cursor.Decision c : Cursor.Decision.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Cursor.Decision valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null